Subject: RE: [Megaco] Megaco Request-Response Help

From: "Shantanu Das" <[email-masked]>
Date: Fri, 20 Jan 2006 10:52:12 +0530

My question is,  a simple call in Megaco consists of a series of Transcation
Requests and Reply. Trans ID is unique within a Transcation. For
addReq/Reply the transcation id is same but for modReq/Reply the transcation
is different. How can I correlates that this modReq/Reply is for this
addReq/Reply. Bcoz I have to identify a call starting from addReq to
subtractReply. If I don't know the correlation between addReq -> modReq ->
subtractReq, I cann't draw the flow.
 
My concern is that, there must be a common Information Element (IE) that is
pass thru in each transcations and unique to a call. Is anything like this.
 
Suggest Pls :)

BR
-Shantanu
--------------------------------------- 

  _____  

From: Raphael Tryster [mailto:[email-masked]] 
Sent: Friday, January 20, 2006 1:37 AM
To: Shantanu Das; [email-masked]
Subject: RE: [Megaco] Megaco Request-Response Help

The transaction id correlates a reply with a request. Within a request, you
may have multiple actions, each introduced by a context id, and within each
action, there may be multiple commands, each for one or more terminations.
So you need to use this extra data to correlate components of the reply with
components of the request.  See some recent emails in this forum about
ordering of these components.

Raphael Tryster

"Things should be made as simple as possible, but not any simpler."  -
Albert Einstein

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Shantanu Das
Sent: Wednesday, January 18, 2006 2:47 PM
To: [email-masked]
Subject: [Megaco] Megaco Request-Response Help

Hi, 
I am developing an application to track/identify the requests send from MG
to MGC or MGC to MG in Megaco. The difficulty with me is How to identify
which request is for which response. I mean to say that I received a lots of
Request and Response at a time. How I corelate that this response is
received for this Request.

There must be (I hope) a unique Information element(IE) that pass from MG to
MGC in request and same IE with same value comes in Reply from MGC to MG. I
am unable to track this IE. Below I am listing a set of IE that I examined
and some times I find the below IE values are coming in response and some
times not.

TranscationID 
ContextID 
TerminatinID 
Mid 

So is there any attribute that soley identify the Request-Response
relationship. 

Regards 
Shantanu 

  _____  

This e-mail contains confidential, privileged or proprietary information to
VocalTec Communications.
If you received this messege by mistake, please inform us and then delete
the original and all copies.
*** eSafe scanned this email for viruses, vandals, and malicious content.
*** 
  _____  

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Kumar Saurabh <[email-masked]>
Date: Fri, 20 Jan 2006 11:22:09 +0530

You can use the context id returned in the first Add Reply to identify 
the call. Pass the same context id in all the subsequent command req 
(Modify, Subtract ..) in that call.

-Saurabh

Shantanu Das wrote:

> My question is,  a simple call in Megaco consists of a series of 
> Transcation Requests and Reply. Trans ID is unique within a 
> Transcation. For addReq/Reply the transcation id is same but for 
> modReq/Reply the transcation is different. How can I correlates that 
> this modReq/Reply is for this addReq/Reply. Bcoz I have to identify a 
> call starting from addReq to subtractReply. If I don't know the 
> correlation between addReq -> modReq -> subtractReq, I cann't draw the flow.
>  
> My concern is that, there must be a common Information Element (IE) 
> that is pass thru in each transcations and unique to a call. Is 
> anything like this.
>  
> Suggest Pls :)
>  
>
> BR
> -Shantanu
>     ------------------------------------------------------------------------
>     The transaction id correlates a reply with a request. Within a
>     request, you may have multiple actions, each introduced by a
>     context id, and within each action, there may be multiple
>     commands, each for one or more terminations.  So you need to use
>     this extra data to correlate components of the reply with
>     components of the request.  See some recent emails in this forum
>     about ordering of these components.
>      
>
>     Raphael Tryster
>
>     "Things should be made as simple as possible, but not any
>     simpler."  - Albert Einstein
>
>         From: [email-masked]
>         [mailto:[email-masked]]On Behalf Of Shantanu Das
>         I am developing an application to track/identify the requests
>         send from MG to MGC or MGC to MG in Megaco. The difficulty
>         with me is How to identify which request is for which
>         response. I mean to say that I received a lots of Request and
>         Response at a time. How I corelate that this response is
>         There must be (I hope) a unique Information element(IE) that
>         pass from MG to MGC in request and same IE with same value
>         comes in Reply from MGC to MG. I am unable to track this IE.
>         Below I am listing a set of IE that I examined and some times
>         I find the below IE values are coming in response and some
>         times not.
>
>         TranscationID
>         ContextID
>         TerminatinID
>         Mid
>
>         So is there any attribute that soley identify the
>         Request-Response relationship.
>
>         Regards
>         Shantanu
>
>
>     ------------------------------------------------------------------------
>     This e-mail contains confidential, privileged or proprietary
>     information to VocalTec Communications.
>     If you received this messege by mistake, please inform us and then
>     delete the original and all copies.
>     *** eSafe scanned this email for viruses, vandals, and malicious
>     content. ***
>     ------------------------------------------------------------------------
>
>------------------------------------------------------------------------
>

---

From: "Shantanu Das" <[email-masked]>
Date: Fri, 20 Jan 2006 11:49:48 +0530

Thanks. I too find, the context ID remains same from first addReply to
subtractReply. I have a couple of trace files and by analyzing those I also
draw a conclusion that terminationID also plays a bigger role. But not sure
how far true it is.
 
contextID also changed when there is a movRequest. with movReply a new
contextID comes which differ from addReply context ID. Then how to correlate
the 2 contextID here.
 
Another Qs is, is the contextID remains unique. I mean to say that, is there
any possibility that it will be duplicated in another call flow.

BR
-Shantanu

  _____  

From: Kumar Saurabh [mailto:[email-masked]] 
Sent: Friday, January 20, 2006 11:22 AM
To: Shantanu Das
Cc: [email-masked]
Subject: Re: [Megaco] Megaco Request-Response Help

You can use the context id returned in the first Add Reply to identify the
call. Pass the same context id in all the subsequent command req (Modify,
Subtract ..) in that call.

-Saurabh

Shantanu Das wrote:

 
Suggest Pls :)

BR
-Shantanu

  _____  

Raphael Tryster

-----Original Message-----

Hi, 

TranscationID 
ContextID 
TerminatinID 
Mid 

Regards 
Shantanu 

  _____  

  _____  

Megaco mailing list

[email-masked]

---

From: "Shantanu Das" <[email-masked]>
Date: Fri, 20 Jan 2006 10:33:58 +0530

Suggest Pls :)

BR
-Shantanu

  _____  

Raphael Tryster

-----Original Message-----

Hi, 

TranscationID 
ContextID 
TerminatinID 
Mid 

Regards 
Shantanu 

  _____

---

From: Christian Groves <[email-masked]>
Date: Tue, 24 Jan 2006 09:28:23 +1100

Hello Shantanu,

I think the key is that there no such thing as a "Megaco" call. The 
concept of "Call" is at the call control level. eg. ISUP, BICC, SIP, 
H.225 signalling. It is at this level where the "Call Instance" is held. 
Any H.248 signalling is tied to this call instance inside the MGC. It 
does not appear over the H.248 interface.

Regards, Christian

Shantanu Das wrote:

>     *From:* Raphael Tryster [mailto:[email-masked]]
>     *Sent:* Friday, January 20, 2006 1:37 AM
>     *To:* Shantanu Das; [email-masked]
>     *Subject:* RE: [Megaco] Megaco Request-Response Help
>
>     /"Things should be made as simple as possible, but not any
>     simpler."  - Albert Einstein/
>
>         *From:* [email-masked]
>         [mailto:[email-masked]]*On Behalf Of *Shantanu Das
>         *Sent:* Wednesday, January 18, 2006 2:47 PM
>         *To:* [email-masked]
>         *Subject:* [Megaco] Megaco Request-Response Help
>
>         Hi,
>     /This e-mail contains confidential, privileged or proprietary
>     /**** eSafe scanned this email for viruses, vandals, and malicious
>     content. ****